Skip to main content
POST
/
v1
/
appointments
Create Appointment
curl --request POST \
  --url https://app.untetherlabs.com/api/v1/appointments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "video",
  "providerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "startDate": "2024-11-20T07:43:34+0000",
  "endDate": "2024-11-20T07:43:34+0000",
  "createdAt": "2024-11-20T07:43:34+0000",
  "status": "upcoming",
  "memberId": "<string>",
  "actualStartDate": "2024-11-20T07:43:34+0000",
  "actualEndDate": "2024-11-20T07:43:34+0000",
  "location": "<string>",
  "cancellationDate": "2024-11-20T07:43:34+0000",
  "cancellationReason": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "createdAt": "2024-11-20T07:43:34+0000",
  "type": "video",
  "status": "upcoming",
  "providerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "memberId": "<string>",
  "startDate": "2024-11-20T07:43:34+0000",
  "endDate": "2024-11-20T07:43:34+0000",
  "actualStartDate": "2024-11-20T07:43:34+0000",
  "actualEndDate": "2024-11-20T07:43:34+0000",
  "location": "<string>",
  "cancellationDate": "2024-11-20T07:43:34+0000",
  "cancellationReason": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
type
string
required

Appointment type, company specific

Example:

"video"

providerId
string<uuid>
required
startDate
string
required
Example:

"2024-11-20T07:43:34+0000"

endDate
string
required
Example:

"2024-11-20T07:43:34+0000"

createdAt
string
Example:

"2024-11-20T07:43:34+0000"

status
enum<string>
Available options:
upcoming,
occurred,
cancelled,
no-show,
re-scheduled
memberId
string | null
actualStartDate
string | null
Example:

"2024-11-20T07:43:34+0000"

actualEndDate
string | null
Example:

"2024-11-20T07:43:34+0000"

location
string | null
cancellationDate
string | null

Only present when status = cancelled

Example:

"2024-11-20T07:43:34+0000"

cancellationReason
string | null

Only present when status = cancelled

Response

id
string<uuid>
required
createdAt
string
required
Example:

"2024-11-20T07:43:34+0000"

type
string
required

Appointment type, company specific

Example:

"video"

status
enum<string>
required
Available options:
upcoming,
occurred,
cancelled,
no-show,
re-scheduled
providerId
string<uuid>
required
memberId
string | null
required
startDate
string
required
Example:

"2024-11-20T07:43:34+0000"

endDate
string
required
Example:

"2024-11-20T07:43:34+0000"

actualStartDate
string | null
required
Example:

"2024-11-20T07:43:34+0000"

actualEndDate
string | null
required
Example:

"2024-11-20T07:43:34+0000"

location
string | null
required
cancellationDate
string | null
required

Only present when status = cancelled

Example:

"2024-11-20T07:43:34+0000"

cancellationReason
string | null
required

Only present when status = cancelled